;=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
; draw_center_circle - draw a circle the size of the Earth on the
;                      image display to aid in defining the
;                      Earth center. If set_center is true,
;                      also mark the center itself.
;=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

; last modified: 30-Aug-2002

pro draw_center_circle, mousex, mousey, from_zoom, set_center

@euv_imtool-commons

; ---------------------------------------------------
; set the center, drawing the circle and center point
; ---------------------------------------------------
if(set_center) then begin

    dx = fltarr(1)
    dy = fltarr(1)

    dx[0] = mousex
    dy[0] = mousey
    center_point  -> SetProperty, datax=dx, datay=dy, hide=0
    
    dx[0] = fix(float(mousex)*1.5)
    dy[0] = fix(float(mousey)*1.5)
    center_point3  -> SetProperty, datax=dx, datay=dy, hide=0

; -------------------------------------------------    
; draw the circle at the mouse cursor position
; -------------------------------------------------
endif else begin

    if(from_zoom) then begin
        xc  = fix(float(mousex)*0.6666667 +0.5)
        yc  = fix(float(mousey)*0.6666667 +0.5)
        xc3 = mousex
        yc3 = mousey
    endif else begin
        xc  = mousex
        yc  = mousey
        xc3 = fix(float(mousex)*1.5 +0.5)
        yc3 = fix(float(mousey)*1.5 +0.5)
    endelse

    immodelc  -> Reset
    immodelc  -> Translate, xc, yc,  0
    immodel3c -> Reset
    immodel3c -> Translate, xc3, yc3,  0

endelse

end
