;=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
; freshen_all - do everything necessary after new data is loaded.
;=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

; last modified: 30-Aug-2002

pro freshen_all

@euv_imtool-commons

; --------------------------------------------------
; erase the click points and center circle and point
; --------------------------------------------------
click_points -> SetProperty, hide=1
click_points3 -> SetProperty, hide=1
nclicks = 0
center_circle -> SetProperty, hide=1
center_circle3 -> SetProperty, hide=1
center_point -> SetProperty, hide=1
center_point3 -> SetProperty, hide=1

; ---------------------------------
; recalculate the centering circles
; ---------------------------------
gen_center_circles

; ------------------------------------------------------
; hide radial/azimuthal plot lines and erase plot window
; ------------------------------------------------------
hide_polylines
if (plot_window_exists) then windowpa -> Erase, color=[120,120,120]
if (plot_window_exists) then windowpr -> Erase, color=[130,130,130]

; --------------------------------------------
; update image displays and readout widgets
; --------------------------------------------
calc_sm_coords
load_display_widgets
update_image_displays
set_los_readouts, minL, tp_maglon, mlt_look, spot_average, 0
display_status, " "
redraw_views

; -------------------------------------
; reset some flags, button states, etc.
; -------------------------------------
centered = 0
keep_center = 0
warned = 0

widget_control, keep_button, set_value="Keep Center?"

; enable various buttons
widget_control, contour_button, sensitive=1
widget_control, center_button, sensitive=1
widget_control, center_button, set_value="Define Center  "
widget_control, clear_button, sensitive=1

; disable radial/azimuthal plot button until center is defined
widget_control, plot_button, sensitive=0

end
