;=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
; gen_center_circles - construct the data for the two centering
;                      circles to be used in the main and zoom
;                      windows.
;=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

; last modified: 30-Aug-2002

pro gen_center_circles

@euv_imtool-commons

ecirc = fltarr(2,37)
ecirc3 = fltarr(2,37)
dx = fltarr(1)
dy = fltarr(1)

; ---------------------------------
; generate the data for the circles
; ---------------------------------

; calculate Earth radius in pixels
pscale=0.3
radius_main = (asin(1.0/range_re) * !RADEG) / pscale
pscale=0.2
radius_zoom = (asin(1.0/range_re) * !RADEG) / pscale


ncirc = 37
dang = 10.0
ang  = 0.0
for i=0,ncirc-1 do begin
    ar = ang / !RADEG
    ix = fix(radius_main*cos(ar))
    iy = fix(radius_main*sin(ar))
    ecirc[0,i] = float(ix)
    ecirc[1,i] = float(iy)
    ix = fix(radius_zoom*cos(ar))
    iy = fix(radius_zoom*sin(ar))
    ecirc3[0,i] = float(ix)
    ecirc3[1,i] = float(iy)
    ang = ang + dang
endfor

center_circle  -> SetProperty, data=ecirc[*,*]
center_circle3 -> SetProperty, data=ecirc3[*,*]

end
