;=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
; load_display_widgets.pro -
;=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

; last modified:  8-Mar-2001

pro load_display_widgets

@euv_imtool-commons

; --------------------
; do some calculations
; --------------------
mlat  = asin(image_smz/range) * !RADEG
mlon = image_maglon

; ---------------------------------
; set values in the display widgets
; ---------------------------------
widget_control, midpointw, set_value=get_midpoint(s0year,s0doy,s0hour,s0min,s0sec)
widget_control, rangew, set_value=string(range_re,format='(f6.2)')

widget_control,imlatw,set_value=string(image_gci_lat,format='(F6.2)')
image_e_lon = 360.0 - image_w_lon
if (image_e_lon gt 360.0) then image_e_lon = image_e_lon - 360.0
if (image_e_lon lt 0.0)   then image_e_lon = image_e_lon + 360.0
widget_control,imlonw,set_value=string(image_e_lon,format='(F6.2)')

widget_control,immlatw,set_value=string(mlat,format='(F6.2)')
widget_control,immlonw,set_value=string(mlon,format='(F6.2)')

widget_control, imxw, set_value=string(image_x/EARTH_RADIUS,format='(F6.2)')
widget_control, imyw, set_value=string(image_y/EARTH_RADIUS,format='(F6.2)')
widget_control, imzw, set_value=string(image_z/EARTH_RADIUS,format='(F6.2)')
widget_control, imxsmw, set_value=string(image_smx/EARTH_RADIUS,format='(F6.2)')
widget_control, imysmw, set_value=string(image_smy/EARTH_RADIUS,format='(F6.2)')
widget_control, imzsmw, set_value=string(image_smz/EARTH_RADIUS,format='(F6.2)')


end



function get_midpoint, s0year, s0doy, s0hour, s0min, s0sec

val = 'abc'

year = s0year
doy  = s0doy
hour = s0hour
min  = s0min

if (s0sec gt 30) then min = min + 1

; subtract 3 minutes
min = min - 3
if ( min lt 0 ) then begin
    min = min + 60
    hour = hour - 1
endif
if ( hour lt 0 ) then begin
    hour = hour + 24
    doy = doy -1
endif


return, string(year,doy,hour,min,format='(i4,"/",i3.3,"/",i2.2,":",i2.2)')

end

