;=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
; redo_arrays - reload all image arrays after a change to the
;               working copy of the original data array.
;
; darrayl, darray3l - linear data arrays, used for data value 
;                     readout at the mouse cursor position.
;
; darray, darray3l  - logarithmic arrays used in the image
;                     displays.
;=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

; last modified: 1-Aug-2002

pro redo_arrays

@euv_imtool-commons

; ------------------
; main window arrays
; ------------------
darrayl = rebin(workarray,xdim2,ydim2)
darray  = alog10((darrayl+1.0) > 1.0)

; ------------------
; zoom window arrays
; ------------------
darray3l = rebin(workarray,xdim3,ydim3)
darray3  = alog10((darray3l+1.0) > 1.0)

end

