
; =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
; subtract a background from the image
; =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

; last modified: 1-Aug-2002

pro subtract_background

@euv_imtool-commons

; --------------------------------------------------------
; subtracting using workarray (original-sized image, so
; have to convert the x,y coordinates to the 140x150 frame
; --------------------------------------------------------
wminx = bminx / 2
wmaxx = bmaxx / 2
wminy = bminy / 2
wmaxy = bmaxy / 2
im = workarray

; ----------------------------------------
; define an array for the background image
; ----------------------------------------
back = fltarr(xdim,ydim)

if (deband) then begin
    temp = rebin(im[*,wminy:wmaxy],xdim,1)
    back = rebin(temp,xdim,ydim)
endif else begin
    temp = rebin(im[wminx:wmaxx,wminy:wmaxy],1,1)
    back = rebin(temp,xdim,ydim)
    display_status,STRING(temp,format='("Average value subtracted = ", f5.1)')
endelse

; ------------------
; do the subtraction
; ------------------
im = im - back
workarray = im
redo_arrays

end




